You are here

Problems Accessing E-Funds

If you are having issues accessing the E-funds site, please read the following information from E-funds regarding browser updates: 

"It was recently discovered that in order to remain PCI compliant, e~Funds for Schools is now required to prohibit website access from internet browsers that use TLS 1.0 and TLS 1.1 by October 3, 2017. 

 As of the dates listed below, our websites will only be accessible from the following browsers:

  • Internet Explorer 11 or higher
  • Google Chrome version 44 or higher
  • Mozilla Firefox version 44 or higher
  • Opera version 30 or higher
  • Apple Safari version 9 or higher
  • Microsoft Edge – any version

Thursday, September 21 2017: https://eps.mvpbanking.com/cgi-bin/efs/login.pl?access= (parent payment portal) 

As of these dates, our websites will no longer be accessible from internet browsers older then the versions listed above. If this affects you or your parents after this upgrade has been completed, you or your parents will need to remedy this by downloading the web browser that is being utilized to access our websites or by enabling TLS 1.2 within the current browser.

Parents experiencing this issue, can download the latest version of their internet browser (our preferred and recommended internet browser is Google Chrome) by searching for it via Google.com.
If you or your parents are already utilizing any of the browsers above or a newer version of these browsers, you will not be affected by this upgrade. 
 In addition to this, below is additional information regarding TLS:

What is TLS? TLS is an acronym for Transport Layer Security (TLS), and the version of TLS that you are operating is controlled by your web browser. TLS provides secure communication on the internet for things such as accessing our websites, and other data transfers.
What changed and how did that affect connecting to our network? In an effort to provide the highest level of network security, we disabled connection to our network from devices utilizing (TLS) 1.0 or older.  Any Device that is not using TLS 1.1, 1.2 or higher will no longer be able to connect to our network. Today, all recent versions of the major internet browsers provide the option to use TLS 1.1 and higher."

 

After you have updated your browser, access Efunds using the following URL: https://eps.mvpbanking.com/cgi-bin/efs/login.pl?access=55653